# Generated by Django 2.1.7 on 2019-04-20 04:33

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('nnx', '0003_auto_20190413_0137'),
    ]

    operations = [
        migrations.RenameField(
            model_name='device',
            old_name='member',
            new_name='members',
        ),
        migrations.RemoveField(
            model_name='device',
            name='device_uuid',
        ),
        migrations.RemoveField(
            model_name='device',
            name='model_number',
        ),
        migrations.RemoveField(
            model_name='kid',
            name='member',
        ),
        migrations.AddField(
            model_name='device',
            name='device_uid',
            field=models.CharField(default=0, max_length=17, unique=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='device',
            name='in_use_status',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='kid',
            name='device_uid',
            field=models.CharField(default=0, max_length=20, unique=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='kid',
            name='members',
            field=models.ManyToManyField(related_name='kids', related_query_name='kid', to='nnx.Member'),
        ),
        migrations.AlterField(
            model_name='member',
            name='relationship_type',
            field=models.IntegerField(choices=[(0, 'mother'), (1, 'father'), (2, 'aunt'), (3, 'uncle'), (4, 'sister'), (5, 'brother'), (6, 'baby_sitter'), (10, 'grand_mother'), (11, 'grand_father')], default=0),
        ),
    ]
